using System;
using System.Globalization;
using System.Reflection;

internal sealed class Delegate15 : MulticastDelegate
{
	public extern object Invoke(Type type_0, BindingFlags bindingFlags_0, Binder binder_0, object[] object_0, CultureInfo cultureInfo_0);

	public static object smethod_0(Type type_0, BindingFlags bindingFlags_0, Binder binder_0, object[] object_0, CultureInfo cultureInfo_0, Delegate15 delegate15_0)
	{
		return delegate15_0(type_0, bindingFlags_0, binder_0, object_0, cultureInfo_0);
	}

	public extern Delegate15(object object_0, IntPtr intptr_0);

	static Delegate15()
	{
		Class10.smethod_13(typeof(Delegate15).TypeHandle);
	}

	internal static Delegate15 BiuwqEuki6;
}
